/*******************************************************************************
* Copyright(c) 2022 dongke All rights reserved. / Confidential
* 类的信息：
*		1.程序名称：
* 编辑履历：
*		作者				日期					版本				修改内容
*		王英杰		 2024-1-24			1.00		    计量单位
*******************************************************************************/ 
const util = require('@/utils/util.js')
const mixins = require('@/mixins/index.js')
const app = getApp()
Page({
  mixins: [mixins],
    /**
     * 页面的初始数据
     */
    data: {
      dataItem:{},
      tableData: [],
      formDataName: mixins.$t('unit'),
      popContent:
      [
        { code: 'unitCode', type: 'str', title: mixins.$t('unitCode'), required: false, readonly: true, },
        { code: 'unitName', type: 'str', title: mixins.$t('unitName'), required: true },
        { code: 'decimalPlaces', type: 'number', title: mixins.$t('decimalPlaces'), required: true },
        { code: 'remarks', type: 'str', title: mixins.$t('remarks'), required: false }
      ],
      commonService: app.globalData['commonService'],
      unitService: app.globalData['unitService'],
       // 路由
      routeObjName: 'goodsBrand',
    },
       /**
     * @desc   : 点击变色
     * @author : 王英杰
     * @date   : 2024/1/26 11:46
     */
    toChecked(e) {
      console.log(e)
      let index = e.currentTarget.dataset.index
      let item = e.currentTarget.dataset.item
      let tableData = this.data.tableData
      tableData.forEach(res => {
        res.checked = false
      })
      tableData[index].checked = true
      this.setData({
        tableData: tableData
      })
      const eventChannel = this.getOpenerEventChannel(); 
      eventChannel.emit('bindData', { data: {id:item.unitId,name:item.unitName} })
      wx.navigateBack({
        delta: 1
      }) 
    },
    /**
   * @desc : 打开新建弹窗
   * @author : 于继渤
   * @date : 2024/1/23 9:16
   */
    toAdd() {
      this.setData({
        showPop: true
      })
    },
    /**
   * @desc : 关闭弹窗
   * @author : 于继渤
   * @date : 2024/1/23 9:16
   */
    onClosePopup() {
      this.setData({
        showPop: false
      })
    },
    /**
  * @desc : 查询数据
  * @date : 2024/2/1 15:49
  * @author : 王英杰
  */
 getData(params) {
  return this.excute(this.data.commonService, this.data.commonService.unitListBy, params);
},
 /**
   * @desc   : 新建编辑事件
   * @author : 王英杰
   * @date   : 2024/1/26 11:46
   */
  editItems(e) {
    let data = e.detail.form
    this.setData({
      formData: JSON.stringify(data)
    })
    //执行保存编辑操作
    this.save({})
  },

  /**
   * @desc : 保存编辑
   * @author : 王英杰
   * @date : 2022/5/26 20:16
   */
  saveData(params) { 
      return this.excute(this.data.unitService, this.data.unitService.insert, params); 
  },
  
     /**
   * @desc :保存接口的 后续处理方法
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */ 
  handleData(data) { 
    this.setData({
      showPop: false, 
    })
  this.searchData()
  },
 
    
 
})